> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops Get Org Payment Methods

> Name and signature indicate it returns tx ops get org payment methods

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/tx-ops-get-org-payment-methods
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-get-org-payment-methods:
    get:
      operationId: txOpsGetOrgPaymentMethods
      summary: Tx Ops Get Org Payment Methods
      description: |-
        Name and signature indicate it returns tx ops get org payment methods

        Not available to API keys yet. It will need `payments:write`.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsGetOrgPaymentMethodsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsGetOrgPaymentMethodsResponse:
      type: array
      items:
        type: object
        properties:
          provider:
            type: string
          displayName:
            type: string
          status:
            type: string
            enum:
              - PENDING_SETUP
              - ACTIVE
          summary:
            type: string
          setupProgress:
            type: object
            properties:
              hasKeypair:
                type: boolean
              hasApiKey:
                type: boolean
              hasProviderConfig:
                type: boolean
            required:
              - hasKeypair
              - hasApiKey
              - hasProviderConfig
          details:
            oneOf:
              - type: object
                properties:
                  kind:
                    const: SAFE
                  gnosisSafeAccountID:
                    type:
                      - string
                      - 'null'
                  name:
                    type:
                      - string
                      - 'null'
                  isDefault:
                    type: boolean
                  connectedSafeAddress:
                    type:
                      - string
                      - 'null'
                  connectedSafeChain:
                    type:
                      - string
                      - 'null'
                  chainDisplayName:
                    type:
                      - string
                      - 'null'
                  signerPublicKey:
                    type:
                      - string
                      - 'null'
                  isConnectionVerified:
                    type: boolean
                  safeAppUrl:
                    type:
                      - string
                      - 'null'
                required:
                  - kind
                  - gnosisSafeAccountID
                  - name
                  - isDefault
                  - connectedSafeAddress
                  - connectedSafeChain
                  - chainDisplayName
                  - signerPublicKey
                  - isConnectionVerified
                  - safeAppUrl
              - type: object
                properties:
                  kind:
                    const: SQUADS
                  multisigAddress:
                    type:
                      - string
                      - 'null'
                  canonicalMultisigAddress:
                    type:
                      - string
                      - 'null'
                  vaultAddress:
                    type:
                      - string
                      - 'null'
                  vaultIndex:
                    type:
                      - integer
                      - 'null'
                  signerPublicKey:
                    type:
                      - string
                      - 'null'
                  isSignerOnMultiSig:
                    type: boolean
                  signerRoles:
                    type: array
                    items:
                      type: string
                  requiredRoles:
                    type: array
                    items:
                      type: string
                  missingRoles:
                    type: array
                    items:
                      type: string
                  hasRequiredPermissions:
                    type: boolean
                  threshold:
                    type:
                      - integer
                      - 'null'
                  setupUrl:
                    type: string
                  squadsVersion:
                    type: string
                    enum:
                      - V3
                      - V4
                  createKey:
                    type:
                      - string
                      - 'null'
                required:
                  - kind
                  - multisigAddress
                  - canonicalMultisigAddress
                  - vaultAddress
                  - vaultIndex
                  - signerPublicKey
                  - isSignerOnMultiSig
                  - signerRoles
                  - requiredRoles
                  - missingRoles
                  - hasRequiredPermissions
                  - threshold
                  - setupUrl
                  - squadsVersion
                  - createKey
              - type: object
                properties:
                  kind:
                    const: AIRWALLEX
                  environment:
                    type: string
                  clientID:
                    type: string
                  accountID:
                    type:
                      - string
                      - 'null'
                  fundingCurrency:
                    type:
                      - string
                      - 'null'
                  hasApiKey:
                    type: boolean
                  hasWebhookSecret:
                    type: boolean
                  isEnabled:
                    type: boolean
                  isConfigured:
                    type: boolean
                required:
                  - kind
                  - environment
                  - clientID
                  - accountID
                  - fundingCurrency
                  - hasApiKey
                  - hasWebhookSecret
                  - isEnabled
                  - isConfigured
              - type: object
                properties:
                  kind:
                    const: FIREBLOCKS
                  hasSignerKey:
                    type: boolean
                  hasApiKey:
                    type: boolean
                  payoutAssetID:
                    type:
                      - string
                      - 'null'
                  networkName:
                    type:
                      - string
                      - 'null'
                  custodyWalletCount:
                    type: integer
                required:
                  - kind
                  - hasSignerKey
                  - hasApiKey
                  - payoutAssetID
                  - networkName
                  - custodyWalletCount
              - type: object
                properties:
                  kind:
                    const: ANCHORAGE
                  isEnabled:
                    type: boolean
                  hasApiKey:
                    type: boolean
                  hasSignerKey:
                    type: boolean
                  grantVaultID:
                    type:
                      - string
                      - 'null'
                  assetType:
                    type:
                      - string
                      - 'null'
                  networkName:
                    type:
                      - string
                      - 'null'
                required:
                  - kind
                  - isEnabled
                  - hasApiKey
                  - hasSignerKey
                  - grantVaultID
                  - assetType
                  - networkName
              - type: object
                properties:
                  kind:
                    const: FILECOIN
                  custodyWalletCount:
                    type: integer
                  multisigAddress:
                    type:
                      - string
                      - 'null'
                  threshold:
                    type:
                      - integer
                      - 'null'
                  signerCount:
                    type:
                      - integer
                      - 'null'
                required:
                  - kind
                  - custodyWalletCount
                  - multisigAddress
                  - threshold
                  - signerCount
              - type: object
                properties:
                  kind:
                    const: FORDEFI
                  hasSigningKey:
                    type: boolean
                  hasApiToken:
                    type: boolean
                  signerType:
                    type: string
                  isEnabled:
                    type: boolean
                  isConfigured:
                    type: boolean
                  custodyWalletCount:
                    type: integer
                required:
                  - kind
                  - hasSigningKey
                  - hasApiToken
                  - signerType
                  - isEnabled
                  - isConfigured
                  - custodyWalletCount
              - type: object
                properties:
                  kind:
                    const: BITGO
                  environment:
                    type: string
                  enterpriseID:
                    type: string
                  walletCount:
                    type: integer
                  isEnabled:
                    type: boolean
                  isConfigured:
                    type: boolean
                  maskedToken:
                    type: string
                required:
                  - kind
                  - environment
                  - enterpriseID
                  - walletCount
                  - isEnabled
                  - isConfigured
                  - maskedToken
              - type: object
                properties:
                  kind:
                    const: COINBASE_PRIME
                  vaultCount:
                    type: integer
                  isEnabled:
                    type: boolean
                  maskedAccessKey:
                    type: string
                required:
                  - kind
                  - vaultCount
                  - isEnabled
                  - maskedAccessKey
            discriminator:
              propertyName: kind
        required:
          - provider
          - displayName
          - status
          - summary
          - setupProgress
          - details
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
